> ## Documentation Index
> Fetch the complete documentation index at: https://developers.e-cross.tech/llms.txt
> Use this file to discover all available pages before exploring further.

# Get SKU price

> Retrieve the current price for a SKU in a specific sales channel and currency

<RequestExample>
  ```bash cURL theme={null}
  curl -X GET 'https://product.api.e-cross.tech/ext/skus/12345678901/validPrice?salesChannel=ECOM&currency=BRL' \
    -H 'Authorization: Bearer YOUR_TOKEN'
  ```
</RequestExample>

<ResponseExample>
  ```json Success theme={null}
  {
    "id": "ACME-12345678901-ECOM",
    "merchantId": "ACME",
    "skuId": "12345678901",
    "skuName": "Black T-Shirt",
    "merchantCurrency": "USD",
    "localizedCurrency": "BRL",
    "localizationTimestamp": "2024-11-14T12:01:29.363Z",
    "grossOutboundListPrice": 13.64,
    "grossOutboundSalePrice": 11.27,
    "grossOutboundListPriceWithTaxes": 13.64,
    "grossOutboundSalePriceWithTaxes": 11.27,
    "localizedListPriceWithTaxes": 75,
    "localizedSalePriceWithTaxes": 62
  }
  ```
</ResponseExample>

### Path Parameters

<ParamField path="skuId" type="string" required>
  Identifier of the SKU (the SKU\_ID used to create the SKU).
</ParamField>

### Query Parameters

<ParamField query="salesChannel" type="string" required>
  The identifier of the sales channel (e.g., `ECOM`). Refer to the [Sales Channels](/api-reference/overview/sales-channels) page for the list of available sales channels.
</ParamField>

<ParamField query="currency" type="string" required>
  The local currency code of the sales channel's country (e.g., `BRL` for BR, `USD` for US).
</ParamField>

### Response Fields

<ResponseField name="id" type="string">
  The unique identifier of the SKU price record within e-CROSS.
</ResponseField>

<ResponseField name="merchantId" type="string">
  The unique identifier of the merchant in the e-CROSS platform.
</ResponseField>

<ResponseField name="skuId" type="string">
  The SKU identifier.
</ResponseField>

<ResponseField name="skuName" type="string">
  The title of the SKU in the original language.
</ResponseField>

<ResponseField name="merchantCurrency" type="string">
  The merchant currency (your foreign currency).
</ResponseField>

<ResponseField name="localizedCurrency" type="string">
  The localized price currency (destination country currency).
</ResponseField>

<ResponseField name="localizationTimestamp" type="string">
  The timestamp when this localization occurred, in ISO 8601 format.
</ResponseField>

<ResponseField name="grossOutboundListPrice" type="number">
  The value in your merchant foreign currency that is the basis for the promotional price for the localized price.
</ResponseField>

<ResponseField name="grossOutboundSalePrice" type="number">
  The estimated value in your merchant foreign currency that will be the payout value after each unit sold.
</ResponseField>

<ResponseField name="grossOutboundListPriceWithTaxes" type="number">
  The value in your merchant foreign currency that is the basis for the promotional price with all taxes and duties included. This value differs from `grossOutboundListPrice` when the destination sales channel doesn't calculate taxes and duties online and such values are embedded in the product price.
</ResponseField>

<ResponseField name="grossOutboundSalePriceWithTaxes" type="number">
  The value in your merchant foreign currency that represents the final retail price with taxes and duties included. This value differs from `grossOutboundSalePrice` when the destination sales channel doesn't calculate taxes and duties online and such values are embedded in the product price.
</ResponseField>

<ResponseField name="localizedListPriceWithTaxes" type="number">
  The value in the `localizedCurrency` that represents the final promotional value for the sales channel.
</ResponseField>

<ResponseField name="localizedSalePriceWithTaxes" type="number">
  The value in the `localizedCurrency` that represents the final retail value for the sales channel.
</ResponseField>
